ApiKeys

Get API key send statistics

Get API key send statistics. View request and response details for this Samva email API endpoint.

GET
/v1/api-keys/{id}/stats

Returns aggregate send counts and daily volume attributed to an API key between after and before, a window of at most 90 days that defaults to the last 30 days.

x-api-key<token>

In: header

Path Parameters

id*string
Match^key_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

after?string|null
before?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/api-keys/string/stats"
{  "totalRequests": 0,  "successfulRequests": 0,  "failedRequests": 0,  "dailyVolume": [    {      "date": "string",      "requests": 0    }  ]}

Related documentation